Subject: RE: Updated: perl-5.8.7-2
From: "Adye, TJ \(Tim\)" <[email-masked]>
To: "Gerrit P. Haase" <[email-masked]>
Cc: "The Cygwin Mailing List" <[email-masked]>
Date: Tue, 12 Jul 2005 13:31:28 +0100

Hi Gerrit,

> -----Original Message-----
> From: Gerrit P. Haase <[email-masked]>
> Sent: 12 July 2005 13:03
> To: Adye, TJ (Tim)
> Cc: The Cygwin Mailing List
> Subject: Re: Updated: perl-5.8.7-2
> 
> Adye, TJ (Tim) wrote:
> >>Have you recompiled Win32::Shortcut?  Do you use the standard perl 
> >>linker wrapper ld2 / perlld?  If not have you used the 
> >>--enable-auto-image-base flag to link the DLL?
> > 
> > 
> > No, I didn't recompile Win32::Shortcut. I guess I should repeat my 
> > earlier
> 
> Please recompile, and ensure that you use 
> --enable-auto-image-base to link your DLL.  This should do 
> the same like rebase besides a 'random' base address is used. 
>  --enable-auto-image-base is now default when building perl 
> extensions with 'perl makefile.PL ...'.

I can try this if it would help your tests. rebaseall is probably a
simpler workaround for me at the moment, though of course it would be
nice to eventually have something that works out of the box so people
can use my script on other systems without having to run any special
setup.

> Do you have a package for which I can use for tests (so I 
> just need to call `make test` or `perl Makefile.PL && make test`

I was just using the test script I posted earlier. An even shorter
alternative would be

#!/usr/bin/perl
use Win32::Shortcut;
system 'pwd';

I guess an automated test package could require all the packages that
have associated DLLs and then issue a fork.

> > I guess I need to be patient and wait for an update to
> > perl-libwin32 to fix the problem.
> 
> 
> Maintainer are busy, so don't count the days;)

Check!

Tim.

> 
> Gerrit
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/